IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network127.15.176.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
127.15.176.0- Broadcast address
127.15.191.255- First usable
127.15.176.1- Last usable
127.15.191.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Loopback 127.0.0.0/8
This computer - Old class
- A (default /8)
- As numbers
- Hex
7F0FB000· Integer2131734528to2131738623 - Reverse DNS zones
176.15.127.in-addr.arpa177.15.127.in-addr.arpa178.15.127.in-addr.arpa179.15.127.in-addr.arpa180.15.127.in-addr.arpa181.15.127.in-addr.arpa182.15.127.in-addr.arpa183.15.127.in-addr.arpa184.15.127.in-addr.arpa185.15.127.in-addr.arpa186.15.127.in-addr.arpa187.15.127.in-addr.arpa188.15.127.in-addr.arpa189.15.127.in-addr.arpa190.15.127.in-addr.arpa191.15.127.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01111111.00001111.10110000.00000000 | 127.15.176.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 01111111.00001111.10110000.00000000 | 127.15.176.0 |
| Broadcast | 01111111.00001111.10111111.11111111 | 127.15.191.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
127.15.176.0/20 makes 1,024 subnets of /30; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 127.15.176.0/30 | 127.15.176.1 to 127.15.176.2 | 127.15.176.3 | 2 |
| 2 | 127.15.176.4/30 | 127.15.176.5 to 127.15.176.6 | 127.15.176.7 | 2 |
| 3 | 127.15.176.8/30 | 127.15.176.9 to 127.15.176.10 | 127.15.176.11 | 2 |
| 4 | 127.15.176.12/30 | 127.15.176.13 to 127.15.176.14 | 127.15.176.15 | 2 |
| 5 | 127.15.176.16/30 | 127.15.176.17 to 127.15.176.18 | 127.15.176.19 | 2 |
| 6 | 127.15.176.20/30 | 127.15.176.21 to 127.15.176.22 | 127.15.176.23 | 2 |
| 7 | 127.15.176.24/30 | 127.15.176.25 to 127.15.176.26 | 127.15.176.27 | 2 |
| 8 | 127.15.176.28/30 | 127.15.176.29 to 127.15.176.30 | 127.15.176.31 | 2 |
| 9 | 127.15.176.32/30 | 127.15.176.33 to 127.15.176.34 | 127.15.176.35 | 2 |
| 10 | 127.15.176.36/30 | 127.15.176.37 to 127.15.176.38 | 127.15.176.39 | 2 |
| 11 | 127.15.176.40/30 | 127.15.176.41 to 127.15.176.42 | 127.15.176.43 | 2 |
| 12 | 127.15.176.44/30 | 127.15.176.45 to 127.15.176.46 | 127.15.176.47 | 2 |
| 13 | 127.15.176.48/30 | 127.15.176.49 to 127.15.176.50 | 127.15.176.51 | 2 |
| 14 | 127.15.176.52/30 | 127.15.176.53 to 127.15.176.54 | 127.15.176.55 | 2 |
| 15 | 127.15.176.56/30 | 127.15.176.57 to 127.15.176.58 | 127.15.176.59 | 2 |
| 16 | 127.15.176.60/30 | 127.15.176.61 to 127.15.176.62 | 127.15.176.63 | 2 |
| 17 | 127.15.176.64/30 | 127.15.176.65 to 127.15.176.66 | 127.15.176.67 | 2 |
| 18 | 127.15.176.68/30 | 127.15.176.69 to 127.15.176.70 | 127.15.176.71 | 2 |
| 19 | 127.15.176.72/30 | 127.15.176.73 to 127.15.176.74 | 127.15.176.75 | 2 |
| 20 | 127.15.176.76/30 | 127.15.176.77 to 127.15.176.78 | 127.15.176.79 | 2 |
| 21 | 127.15.176.80/30 | 127.15.176.81 to 127.15.176.82 | 127.15.176.83 | 2 |
| 22 | 127.15.176.84/30 | 127.15.176.85 to 127.15.176.86 | 127.15.176.87 | 2 |
| 23 | 127.15.176.88/30 | 127.15.176.89 to 127.15.176.90 | 127.15.176.91 | 2 |
| 24 | 127.15.176.92/30 | 127.15.176.93 to 127.15.176.94 | 127.15.176.95 | 2 |
| 25 | 127.15.176.96/30 | 127.15.176.97 to 127.15.176.98 | 127.15.176.99 | 2 |
| 26 | 127.15.176.100/30 | 127.15.176.101 to 127.15.176.102 | 127.15.176.103 | 2 |
| 27 | 127.15.176.104/30 | 127.15.176.105 to 127.15.176.106 | 127.15.176.107 | 2 |
| 28 | 127.15.176.108/30 | 127.15.176.109 to 127.15.176.110 | 127.15.176.111 | 2 |
| 29 | 127.15.176.112/30 | 127.15.176.113 to 127.15.176.114 | 127.15.176.115 | 2 |
| 30 | 127.15.176.116/30 | 127.15.176.117 to 127.15.176.118 | 127.15.176.119 | 2 |
| 31 | 127.15.176.120/30 | 127.15.176.121 to 127.15.176.122 | 127.15.176.123 | 2 |
| 32 | 127.15.176.124/30 | 127.15.176.125 to 127.15.176.126 | 127.15.176.127 | 2 |
| 33 | 127.15.176.128/30 | 127.15.176.129 to 127.15.176.130 | 127.15.176.131 | 2 |
| 34 | 127.15.176.132/30 | 127.15.176.133 to 127.15.176.134 | 127.15.176.135 | 2 |
| 35 | 127.15.176.136/30 | 127.15.176.137 to 127.15.176.138 | 127.15.176.139 | 2 |
| 36 | 127.15.176.140/30 | 127.15.176.141 to 127.15.176.142 | 127.15.176.143 | 2 |
| 37 | 127.15.176.144/30 | 127.15.176.145 to 127.15.176.146 | 127.15.176.147 | 2 |
| 38 | 127.15.176.148/30 | 127.15.176.149 to 127.15.176.150 | 127.15.176.151 | 2 |
| 39 | 127.15.176.152/30 | 127.15.176.153 to 127.15.176.154 | 127.15.176.155 | 2 |
| 40 | 127.15.176.156/30 | 127.15.176.157 to 127.15.176.158 | 127.15.176.159 | 2 |
| 41 | 127.15.176.160/30 | 127.15.176.161 to 127.15.176.162 | 127.15.176.163 | 2 |
| 42 | 127.15.176.164/30 | 127.15.176.165 to 127.15.176.166 | 127.15.176.167 | 2 |
| 43 | 127.15.176.168/30 | 127.15.176.169 to 127.15.176.170 | 127.15.176.171 | 2 |
| 44 | 127.15.176.172/30 | 127.15.176.173 to 127.15.176.174 | 127.15.176.175 | 2 |
| 45 | 127.15.176.176/30 | 127.15.176.177 to 127.15.176.178 | 127.15.176.179 | 2 |
| 46 | 127.15.176.180/30 | 127.15.176.181 to 127.15.176.182 | 127.15.176.183 | 2 |
| 47 | 127.15.176.184/30 | 127.15.176.185 to 127.15.176.186 | 127.15.176.187 | 2 |
| 48 | 127.15.176.188/30 | 127.15.176.189 to 127.15.176.190 | 127.15.176.191 | 2 |
| 49 | 127.15.176.192/30 | 127.15.176.193 to 127.15.176.194 | 127.15.176.195 | 2 |
| 50 | 127.15.176.196/30 | 127.15.176.197 to 127.15.176.198 | 127.15.176.199 | 2 |
| 51 | 127.15.176.200/30 | 127.15.176.201 to 127.15.176.202 | 127.15.176.203 | 2 |
| 52 | 127.15.176.204/30 | 127.15.176.205 to 127.15.176.206 | 127.15.176.207 | 2 |
| 53 | 127.15.176.208/30 | 127.15.176.209 to 127.15.176.210 | 127.15.176.211 | 2 |
| 54 | 127.15.176.212/30 | 127.15.176.213 to 127.15.176.214 | 127.15.176.215 | 2 |
| 55 | 127.15.176.216/30 | 127.15.176.217 to 127.15.176.218 | 127.15.176.219 | 2 |
| 56 | 127.15.176.220/30 | 127.15.176.221 to 127.15.176.222 | 127.15.176.223 | 2 |
| 57 | 127.15.176.224/30 | 127.15.176.225 to 127.15.176.226 | 127.15.176.227 | 2 |
| 58 | 127.15.176.228/30 | 127.15.176.229 to 127.15.176.230 | 127.15.176.231 | 2 |
| 59 | 127.15.176.232/30 | 127.15.176.233 to 127.15.176.234 | 127.15.176.235 | 2 |
| 60 | 127.15.176.236/30 | 127.15.176.237 to 127.15.176.238 | 127.15.176.239 | 2 |
| 61 | 127.15.176.240/30 | 127.15.176.241 to 127.15.176.242 | 127.15.176.243 | 2 |
| 62 | 127.15.176.244/30 | 127.15.176.245 to 127.15.176.246 | 127.15.176.247 | 2 |
| 63 | 127.15.176.248/30 | 127.15.176.249 to 127.15.176.250 | 127.15.176.251 | 2 |
| 64 | 127.15.176.252/30 | 127.15.176.253 to 127.15.176.254 | 127.15.176.255 | 2 |
| 65 | 127.15.177.0/30 | 127.15.177.1 to 127.15.177.2 | 127.15.177.3 | 2 |
| 66 | 127.15.177.4/30 | 127.15.177.5 to 127.15.177.6 | 127.15.177.7 | 2 |
| 67 | 127.15.177.8/30 | 127.15.177.9 to 127.15.177.10 | 127.15.177.11 | 2 |
| 68 | 127.15.177.12/30 | 127.15.177.13 to 127.15.177.14 | 127.15.177.15 | 2 |
| 69 | 127.15.177.16/30 | 127.15.177.17 to 127.15.177.18 | 127.15.177.19 | 2 |
| 70 | 127.15.177.20/30 | 127.15.177.21 to 127.15.177.22 | 127.15.177.23 | 2 |
| 71 | 127.15.177.24/30 | 127.15.177.25 to 127.15.177.26 | 127.15.177.27 | 2 |
| 72 | 127.15.177.28/30 | 127.15.177.29 to 127.15.177.30 | 127.15.177.31 | 2 |
| 73 | 127.15.177.32/30 | 127.15.177.33 to 127.15.177.34 | 127.15.177.35 | 2 |
| 74 | 127.15.177.36/30 | 127.15.177.37 to 127.15.177.38 | 127.15.177.39 | 2 |
| 75 | 127.15.177.40/30 | 127.15.177.41 to 127.15.177.42 | 127.15.177.43 | 2 |
| 76 | 127.15.177.44/30 | 127.15.177.45 to 127.15.177.46 | 127.15.177.47 | 2 |
| 77 | 127.15.177.48/30 | 127.15.177.49 to 127.15.177.50 | 127.15.177.51 | 2 |
| 78 | 127.15.177.52/30 | 127.15.177.53 to 127.15.177.54 | 127.15.177.55 | 2 |
| 79 | 127.15.177.56/30 | 127.15.177.57 to 127.15.177.58 | 127.15.177.59 | 2 |
| 80 | 127.15.177.60/30 | 127.15.177.61 to 127.15.177.62 | 127.15.177.63 | 2 |
| 81 | 127.15.177.64/30 | 127.15.177.65 to 127.15.177.66 | 127.15.177.67 | 2 |
| 82 | 127.15.177.68/30 | 127.15.177.69 to 127.15.177.70 | 127.15.177.71 | 2 |
| 83 | 127.15.177.72/30 | 127.15.177.73 to 127.15.177.74 | 127.15.177.75 | 2 |
| 84 | 127.15.177.76/30 | 127.15.177.77 to 127.15.177.78 | 127.15.177.79 | 2 |
| 85 | 127.15.177.80/30 | 127.15.177.81 to 127.15.177.82 | 127.15.177.83 | 2 |
| 86 | 127.15.177.84/30 | 127.15.177.85 to 127.15.177.86 | 127.15.177.87 | 2 |
| 87 | 127.15.177.88/30 | 127.15.177.89 to 127.15.177.90 | 127.15.177.91 | 2 |
| 88 | 127.15.177.92/30 | 127.15.177.93 to 127.15.177.94 | 127.15.177.95 | 2 |
| 89 | 127.15.177.96/30 | 127.15.177.97 to 127.15.177.98 | 127.15.177.99 | 2 |
| 90 | 127.15.177.100/30 | 127.15.177.101 to 127.15.177.102 | 127.15.177.103 | 2 |
| 91 | 127.15.177.104/30 | 127.15.177.105 to 127.15.177.106 | 127.15.177.107 | 2 |
| 92 | 127.15.177.108/30 | 127.15.177.109 to 127.15.177.110 | 127.15.177.111 | 2 |
| 93 | 127.15.177.112/30 | 127.15.177.113 to 127.15.177.114 | 127.15.177.115 | 2 |
| 94 | 127.15.177.116/30 | 127.15.177.117 to 127.15.177.118 | 127.15.177.119 | 2 |
| 95 | 127.15.177.120/30 | 127.15.177.121 to 127.15.177.122 | 127.15.177.123 | 2 |
| 96 | 127.15.177.124/30 | 127.15.177.125 to 127.15.177.126 | 127.15.177.127 | 2 |
| 97 | 127.15.177.128/30 | 127.15.177.129 to 127.15.177.130 | 127.15.177.131 | 2 |
| 98 | 127.15.177.132/30 | 127.15.177.133 to 127.15.177.134 | 127.15.177.135 | 2 |
| 99 | 127.15.177.136/30 | 127.15.177.137 to 127.15.177.138 | 127.15.177.139 | 2 |
| 100 | 127.15.177.140/30 | 127.15.177.141 to 127.15.177.142 | 127.15.177.143 | 2 |
| 101 | 127.15.177.144/30 | 127.15.177.145 to 127.15.177.146 | 127.15.177.147 | 2 |
| 102 | 127.15.177.148/30 | 127.15.177.149 to 127.15.177.150 | 127.15.177.151 | 2 |
| 103 | 127.15.177.152/30 | 127.15.177.153 to 127.15.177.154 | 127.15.177.155 | 2 |
| 104 | 127.15.177.156/30 | 127.15.177.157 to 127.15.177.158 | 127.15.177.159 | 2 |
| 105 | 127.15.177.160/30 | 127.15.177.161 to 127.15.177.162 | 127.15.177.163 | 2 |
| 106 | 127.15.177.164/30 | 127.15.177.165 to 127.15.177.166 | 127.15.177.167 | 2 |
| 107 | 127.15.177.168/30 | 127.15.177.169 to 127.15.177.170 | 127.15.177.171 | 2 |
| 108 | 127.15.177.172/30 | 127.15.177.173 to 127.15.177.174 | 127.15.177.175 | 2 |
| 109 | 127.15.177.176/30 | 127.15.177.177 to 127.15.177.178 | 127.15.177.179 | 2 |
| 110 | 127.15.177.180/30 | 127.15.177.181 to 127.15.177.182 | 127.15.177.183 | 2 |
| 111 | 127.15.177.184/30 | 127.15.177.185 to 127.15.177.186 | 127.15.177.187 | 2 |
| 112 | 127.15.177.188/30 | 127.15.177.189 to 127.15.177.190 | 127.15.177.191 | 2 |
| 113 | 127.15.177.192/30 | 127.15.177.193 to 127.15.177.194 | 127.15.177.195 | 2 |
| 114 | 127.15.177.196/30 | 127.15.177.197 to 127.15.177.198 | 127.15.177.199 | 2 |
| 115 | 127.15.177.200/30 | 127.15.177.201 to 127.15.177.202 | 127.15.177.203 | 2 |
| 116 | 127.15.177.204/30 | 127.15.177.205 to 127.15.177.206 | 127.15.177.207 | 2 |
| 117 | 127.15.177.208/30 | 127.15.177.209 to 127.15.177.210 | 127.15.177.211 | 2 |
| 118 | 127.15.177.212/30 | 127.15.177.213 to 127.15.177.214 | 127.15.177.215 | 2 |
| 119 | 127.15.177.216/30 | 127.15.177.217 to 127.15.177.218 | 127.15.177.219 | 2 |
| 120 | 127.15.177.220/30 | 127.15.177.221 to 127.15.177.222 | 127.15.177.223 | 2 |
| 121 | 127.15.177.224/30 | 127.15.177.225 to 127.15.177.226 | 127.15.177.227 | 2 |
| 122 | 127.15.177.228/30 | 127.15.177.229 to 127.15.177.230 | 127.15.177.231 | 2 |
| 123 | 127.15.177.232/30 | 127.15.177.233 to 127.15.177.234 | 127.15.177.235 | 2 |
| 124 | 127.15.177.236/30 | 127.15.177.237 to 127.15.177.238 | 127.15.177.239 | 2 |
| 125 | 127.15.177.240/30 | 127.15.177.241 to 127.15.177.242 | 127.15.177.243 | 2 |
| 126 | 127.15.177.244/30 | 127.15.177.245 to 127.15.177.246 | 127.15.177.247 | 2 |
| 127 | 127.15.177.248/30 | 127.15.177.249 to 127.15.177.250 | 127.15.177.251 | 2 |
| 128 | 127.15.177.252/30 | 127.15.177.253 to 127.15.177.254 | 127.15.177.255 | 2 |
| 129 | 127.15.178.0/30 | 127.15.178.1 to 127.15.178.2 | 127.15.178.3 | 2 |
| 130 | 127.15.178.4/30 | 127.15.178.5 to 127.15.178.6 | 127.15.178.7 | 2 |
| 131 | 127.15.178.8/30 | 127.15.178.9 to 127.15.178.10 | 127.15.178.11 | 2 |
| 132 | 127.15.178.12/30 | 127.15.178.13 to 127.15.178.14 | 127.15.178.15 | 2 |
| 133 | 127.15.178.16/30 | 127.15.178.17 to 127.15.178.18 | 127.15.178.19 | 2 |
| 134 | 127.15.178.20/30 | 127.15.178.21 to 127.15.178.22 | 127.15.178.23 | 2 |
| 135 | 127.15.178.24/30 | 127.15.178.25 to 127.15.178.26 | 127.15.178.27 | 2 |
| 136 | 127.15.178.28/30 | 127.15.178.29 to 127.15.178.30 | 127.15.178.31 | 2 |
| 137 | 127.15.178.32/30 | 127.15.178.33 to 127.15.178.34 | 127.15.178.35 | 2 |
| 138 | 127.15.178.36/30 | 127.15.178.37 to 127.15.178.38 | 127.15.178.39 | 2 |
| 139 | 127.15.178.40/30 | 127.15.178.41 to 127.15.178.42 | 127.15.178.43 | 2 |
| 140 | 127.15.178.44/30 | 127.15.178.45 to 127.15.178.46 | 127.15.178.47 | 2 |
| 141 | 127.15.178.48/30 | 127.15.178.49 to 127.15.178.50 | 127.15.178.51 | 2 |
| 142 | 127.15.178.52/30 | 127.15.178.53 to 127.15.178.54 | 127.15.178.55 | 2 |
| 143 | 127.15.178.56/30 | 127.15.178.57 to 127.15.178.58 | 127.15.178.59 | 2 |
| 144 | 127.15.178.60/30 | 127.15.178.61 to 127.15.178.62 | 127.15.178.63 | 2 |
| 145 | 127.15.178.64/30 | 127.15.178.65 to 127.15.178.66 | 127.15.178.67 | 2 |
| 146 | 127.15.178.68/30 | 127.15.178.69 to 127.15.178.70 | 127.15.178.71 | 2 |
| 147 | 127.15.178.72/30 | 127.15.178.73 to 127.15.178.74 | 127.15.178.75 | 2 |
| 148 | 127.15.178.76/30 | 127.15.178.77 to 127.15.178.78 | 127.15.178.79 | 2 |
| 149 | 127.15.178.80/30 | 127.15.178.81 to 127.15.178.82 | 127.15.178.83 | 2 |
| 150 | 127.15.178.84/30 | 127.15.178.85 to 127.15.178.86 | 127.15.178.87 | 2 |
| 151 | 127.15.178.88/30 | 127.15.178.89 to 127.15.178.90 | 127.15.178.91 | 2 |
| 152 | 127.15.178.92/30 | 127.15.178.93 to 127.15.178.94 | 127.15.178.95 | 2 |
| 153 | 127.15.178.96/30 | 127.15.178.97 to 127.15.178.98 | 127.15.178.99 | 2 |
| 154 | 127.15.178.100/30 | 127.15.178.101 to 127.15.178.102 | 127.15.178.103 | 2 |
| 155 | 127.15.178.104/30 | 127.15.178.105 to 127.15.178.106 | 127.15.178.107 | 2 |
| 156 | 127.15.178.108/30 | 127.15.178.109 to 127.15.178.110 | 127.15.178.111 | 2 |
| 157 | 127.15.178.112/30 | 127.15.178.113 to 127.15.178.114 | 127.15.178.115 | 2 |
| 158 | 127.15.178.116/30 | 127.15.178.117 to 127.15.178.118 | 127.15.178.119 | 2 |
| 159 | 127.15.178.120/30 | 127.15.178.121 to 127.15.178.122 | 127.15.178.123 | 2 |
| 160 | 127.15.178.124/30 | 127.15.178.125 to 127.15.178.126 | 127.15.178.127 | 2 |
| 161 | 127.15.178.128/30 | 127.15.178.129 to 127.15.178.130 | 127.15.178.131 | 2 |
| 162 | 127.15.178.132/30 | 127.15.178.133 to 127.15.178.134 | 127.15.178.135 | 2 |
| 163 | 127.15.178.136/30 | 127.15.178.137 to 127.15.178.138 | 127.15.178.139 | 2 |
| 164 | 127.15.178.140/30 | 127.15.178.141 to 127.15.178.142 | 127.15.178.143 | 2 |
| 165 | 127.15.178.144/30 | 127.15.178.145 to 127.15.178.146 | 127.15.178.147 | 2 |
| 166 | 127.15.178.148/30 | 127.15.178.149 to 127.15.178.150 | 127.15.178.151 | 2 |
| 167 | 127.15.178.152/30 | 127.15.178.153 to 127.15.178.154 | 127.15.178.155 | 2 |
| 168 | 127.15.178.156/30 | 127.15.178.157 to 127.15.178.158 | 127.15.178.159 | 2 |
| 169 | 127.15.178.160/30 | 127.15.178.161 to 127.15.178.162 | 127.15.178.163 | 2 |
| 170 | 127.15.178.164/30 | 127.15.178.165 to 127.15.178.166 | 127.15.178.167 | 2 |
| 171 | 127.15.178.168/30 | 127.15.178.169 to 127.15.178.170 | 127.15.178.171 | 2 |
| 172 | 127.15.178.172/30 | 127.15.178.173 to 127.15.178.174 | 127.15.178.175 | 2 |
| 173 | 127.15.178.176/30 | 127.15.178.177 to 127.15.178.178 | 127.15.178.179 | 2 |
| 174 | 127.15.178.180/30 | 127.15.178.181 to 127.15.178.182 | 127.15.178.183 | 2 |
| 175 | 127.15.178.184/30 | 127.15.178.185 to 127.15.178.186 | 127.15.178.187 | 2 |
| 176 | 127.15.178.188/30 | 127.15.178.189 to 127.15.178.190 | 127.15.178.191 | 2 |
| 177 | 127.15.178.192/30 | 127.15.178.193 to 127.15.178.194 | 127.15.178.195 | 2 |
| 178 | 127.15.178.196/30 | 127.15.178.197 to 127.15.178.198 | 127.15.178.199 | 2 |
| 179 | 127.15.178.200/30 | 127.15.178.201 to 127.15.178.202 | 127.15.178.203 | 2 |
| 180 | 127.15.178.204/30 | 127.15.178.205 to 127.15.178.206 | 127.15.178.207 | 2 |
| 181 | 127.15.178.208/30 | 127.15.178.209 to 127.15.178.210 | 127.15.178.211 | 2 |
| 182 | 127.15.178.212/30 | 127.15.178.213 to 127.15.178.214 | 127.15.178.215 | 2 |
| 183 | 127.15.178.216/30 | 127.15.178.217 to 127.15.178.218 | 127.15.178.219 | 2 |
| 184 | 127.15.178.220/30 | 127.15.178.221 to 127.15.178.222 | 127.15.178.223 | 2 |
| 185 | 127.15.178.224/30 | 127.15.178.225 to 127.15.178.226 | 127.15.178.227 | 2 |
| 186 | 127.15.178.228/30 | 127.15.178.229 to 127.15.178.230 | 127.15.178.231 | 2 |
| 187 | 127.15.178.232/30 | 127.15.178.233 to 127.15.178.234 | 127.15.178.235 | 2 |
| 188 | 127.15.178.236/30 | 127.15.178.237 to 127.15.178.238 | 127.15.178.239 | 2 |
| 189 | 127.15.178.240/30 | 127.15.178.241 to 127.15.178.242 | 127.15.178.243 | 2 |
| 190 | 127.15.178.244/30 | 127.15.178.245 to 127.15.178.246 | 127.15.178.247 | 2 |
| 191 | 127.15.178.248/30 | 127.15.178.249 to 127.15.178.250 | 127.15.178.251 | 2 |
| 192 | 127.15.178.252/30 | 127.15.178.253 to 127.15.178.254 | 127.15.178.255 | 2 |
| 193 | 127.15.179.0/30 | 127.15.179.1 to 127.15.179.2 | 127.15.179.3 | 2 |
| 194 | 127.15.179.4/30 | 127.15.179.5 to 127.15.179.6 | 127.15.179.7 | 2 |
| 195 | 127.15.179.8/30 | 127.15.179.9 to 127.15.179.10 | 127.15.179.11 | 2 |
| 196 | 127.15.179.12/30 | 127.15.179.13 to 127.15.179.14 | 127.15.179.15 | 2 |
| 197 | 127.15.179.16/30 | 127.15.179.17 to 127.15.179.18 | 127.15.179.19 | 2 |
| 198 | 127.15.179.20/30 | 127.15.179.21 to 127.15.179.22 | 127.15.179.23 | 2 |
| 199 | 127.15.179.24/30 | 127.15.179.25 to 127.15.179.26 | 127.15.179.27 | 2 |
| 200 | 127.15.179.28/30 | 127.15.179.29 to 127.15.179.30 | 127.15.179.31 | 2 |
| 201 | 127.15.179.32/30 | 127.15.179.33 to 127.15.179.34 | 127.15.179.35 | 2 |
| 202 | 127.15.179.36/30 | 127.15.179.37 to 127.15.179.38 | 127.15.179.39 | 2 |
| 203 | 127.15.179.40/30 | 127.15.179.41 to 127.15.179.42 | 127.15.179.43 | 2 |
| 204 | 127.15.179.44/30 | 127.15.179.45 to 127.15.179.46 | 127.15.179.47 | 2 |
| 205 | 127.15.179.48/30 | 127.15.179.49 to 127.15.179.50 | 127.15.179.51 | 2 |
| 206 | 127.15.179.52/30 | 127.15.179.53 to 127.15.179.54 | 127.15.179.55 | 2 |
| 207 | 127.15.179.56/30 | 127.15.179.57 to 127.15.179.58 | 127.15.179.59 | 2 |
| 208 | 127.15.179.60/30 | 127.15.179.61 to 127.15.179.62 | 127.15.179.63 | 2 |
| 209 | 127.15.179.64/30 | 127.15.179.65 to 127.15.179.66 | 127.15.179.67 | 2 |
| 210 | 127.15.179.68/30 | 127.15.179.69 to 127.15.179.70 | 127.15.179.71 | 2 |
| 211 | 127.15.179.72/30 | 127.15.179.73 to 127.15.179.74 | 127.15.179.75 | 2 |
| 212 | 127.15.179.76/30 | 127.15.179.77 to 127.15.179.78 | 127.15.179.79 | 2 |
| 213 | 127.15.179.80/30 | 127.15.179.81 to 127.15.179.82 | 127.15.179.83 | 2 |
| 214 | 127.15.179.84/30 | 127.15.179.85 to 127.15.179.86 | 127.15.179.87 | 2 |
| 215 | 127.15.179.88/30 | 127.15.179.89 to 127.15.179.90 | 127.15.179.91 | 2 |
| 216 | 127.15.179.92/30 | 127.15.179.93 to 127.15.179.94 | 127.15.179.95 | 2 |
| 217 | 127.15.179.96/30 | 127.15.179.97 to 127.15.179.98 | 127.15.179.99 | 2 |
| 218 | 127.15.179.100/30 | 127.15.179.101 to 127.15.179.102 | 127.15.179.103 | 2 |
| 219 | 127.15.179.104/30 | 127.15.179.105 to 127.15.179.106 | 127.15.179.107 | 2 |
| 220 | 127.15.179.108/30 | 127.15.179.109 to 127.15.179.110 | 127.15.179.111 | 2 |
| 221 | 127.15.179.112/30 | 127.15.179.113 to 127.15.179.114 | 127.15.179.115 | 2 |
| 222 | 127.15.179.116/30 | 127.15.179.117 to 127.15.179.118 | 127.15.179.119 | 2 |
| 223 | 127.15.179.120/30 | 127.15.179.121 to 127.15.179.122 | 127.15.179.123 | 2 |
| 224 | 127.15.179.124/30 | 127.15.179.125 to 127.15.179.126 | 127.15.179.127 | 2 |
| 225 | 127.15.179.128/30 | 127.15.179.129 to 127.15.179.130 | 127.15.179.131 | 2 |
| 226 | 127.15.179.132/30 | 127.15.179.133 to 127.15.179.134 | 127.15.179.135 | 2 |
| 227 | 127.15.179.136/30 | 127.15.179.137 to 127.15.179.138 | 127.15.179.139 | 2 |
| 228 | 127.15.179.140/30 | 127.15.179.141 to 127.15.179.142 | 127.15.179.143 | 2 |
| 229 | 127.15.179.144/30 | 127.15.179.145 to 127.15.179.146 | 127.15.179.147 | 2 |
| 230 | 127.15.179.148/30 | 127.15.179.149 to 127.15.179.150 | 127.15.179.151 | 2 |
| 231 | 127.15.179.152/30 | 127.15.179.153 to 127.15.179.154 | 127.15.179.155 | 2 |
| 232 | 127.15.179.156/30 | 127.15.179.157 to 127.15.179.158 | 127.15.179.159 | 2 |
| 233 | 127.15.179.160/30 | 127.15.179.161 to 127.15.179.162 | 127.15.179.163 | 2 |
| 234 | 127.15.179.164/30 | 127.15.179.165 to 127.15.179.166 | 127.15.179.167 | 2 |
| 235 | 127.15.179.168/30 | 127.15.179.169 to 127.15.179.170 | 127.15.179.171 | 2 |
| 236 | 127.15.179.172/30 | 127.15.179.173 to 127.15.179.174 | 127.15.179.175 | 2 |
| 237 | 127.15.179.176/30 | 127.15.179.177 to 127.15.179.178 | 127.15.179.179 | 2 |
| 238 | 127.15.179.180/30 | 127.15.179.181 to 127.15.179.182 | 127.15.179.183 | 2 |
| 239 | 127.15.179.184/30 | 127.15.179.185 to 127.15.179.186 | 127.15.179.187 | 2 |
| 240 | 127.15.179.188/30 | 127.15.179.189 to 127.15.179.190 | 127.15.179.191 | 2 |
| 241 | 127.15.179.192/30 | 127.15.179.193 to 127.15.179.194 | 127.15.179.195 | 2 |
| 242 | 127.15.179.196/30 | 127.15.179.197 to 127.15.179.198 | 127.15.179.199 | 2 |
| 243 | 127.15.179.200/30 | 127.15.179.201 to 127.15.179.202 | 127.15.179.203 | 2 |
| 244 | 127.15.179.204/30 | 127.15.179.205 to 127.15.179.206 | 127.15.179.207 | 2 |
| 245 | 127.15.179.208/30 | 127.15.179.209 to 127.15.179.210 | 127.15.179.211 | 2 |
| 246 | 127.15.179.212/30 | 127.15.179.213 to 127.15.179.214 | 127.15.179.215 | 2 |
| 247 | 127.15.179.216/30 | 127.15.179.217 to 127.15.179.218 | 127.15.179.219 | 2 |
| 248 | 127.15.179.220/30 | 127.15.179.221 to 127.15.179.222 | 127.15.179.223 | 2 |
| 249 | 127.15.179.224/30 | 127.15.179.225 to 127.15.179.226 | 127.15.179.227 | 2 |
| 250 | 127.15.179.228/30 | 127.15.179.229 to 127.15.179.230 | 127.15.179.231 | 2 |
| 251 | 127.15.179.232/30 | 127.15.179.233 to 127.15.179.234 | 127.15.179.235 | 2 |
| 252 | 127.15.179.236/30 | 127.15.179.237 to 127.15.179.238 | 127.15.179.239 | 2 |
| 253 | 127.15.179.240/30 | 127.15.179.241 to 127.15.179.242 | 127.15.179.243 | 2 |
| 254 | 127.15.179.244/30 | 127.15.179.245 to 127.15.179.246 | 127.15.179.247 | 2 |
| 255 | 127.15.179.248/30 | 127.15.179.249 to 127.15.179.250 | 127.15.179.251 | 2 |
| 256 | 127.15.179.252/30 | 127.15.179.253 to 127.15.179.254 | 127.15.179.255 | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |